<template>
	<view>
		<uni-segmented-control :current="current" :values="items" @clickItem="onClickItem"></uni-segmented-control>
		<view class="content">
			<view v-if="current === 0" class="headerstyle">
				<view class="itemstyle">
					<uni-forms label-width="120">
						<uni-forms-item label="第一起点缓存架地址">
							<uni-easyinput type="text" v-model="sourceAddress" placeholder="请扫瞄起点地址" ref='firstInput'
								:focus="focusFirst" @confirm="handleFirstInputConfirm" @input="checkFirstInput" />
						</uni-forms-item>
						<uni-forms-item label="第二起点缓存架地址">
							<uni-easyinput type="text" v-model="sourceAddress1" placeholder="请扫瞄起点地址" ref='secondInput'
								:focus="focusSecond" @confirm="handleSecondInputConfirm" />
						</uni-forms-item>
						<uni-forms-item label="终点输送线地址">
							<uni-data-select v-model="value" :localdata="rangs"></uni-data-select>
						</uni-forms-item>
						<uni-forms-item>
							<button @click="inbound" type="primary" size="default"
								style="margin-top: 2%;">输送线搬运确认</button>
						</uni-forms-item>
					</uni-forms>
				</view>
			</view>
		</view>
		<u-toast ref="uToast" />
	</view>
</template>

<script>
	const innerAudioContext = uni.createInnerAudioContext();
	export default {
		data() {
			return {
				items: ['输送线搬运'],
				current: 0,
				matTotal: [],
				matInfos: [],
				orderNo: "",
				label: "",
				orderDetail: [],
				focus: false,
				barcode: "",
				materSn: "",
				sns: [],
				addressFocus: false,
				targetAddress: "",
				sourceAddress: "",
				sourceAddress1: "",
				Exception: "",
				address: "",
				check: true,
				value: "",
				matInfo: [],
				value2: "",
				matTotals: [],
				focusFirst: true, // 初始聚焦第一个输入框
				focusSecond: false, // 初始不聚焦第二个输入框
				value: 0,
				rangs: [{
						value: "FJXL-KPHLX001",
						text: "FJXL-KPHLX001"
					},
					{
						value: "ZJXL-KPHLX001",
						text: "ZJXL-KPHLX001"
					},
				],
				// range: [],
			}
		},
		onShow() {},
		// onLoad(res) {
		// 	this.focus = false;
		// 	this.addressFocus = false;
		// 	this.orderNo = res.orderNo;
		// 	this.label = "单据编号：" + this.orderNo;
		// 	this.getData();
		// 	// this.getEndLocations();
		// },
		methods: {
			voiceSpeech(src) {
				innerAudioContext.src = src; // '../../static/success.mp3';
				innerAudioContext.play();
			},

			updateFocus() {
				this.$nextTick(() => {
					this.materSn = '';
					if (!this.focus) {
						this.focus = true;
					}
				});
			},
			barcodeFocus() {
				this.barcode = '';
				if (this.focus) {
					this.focus = false;
				}
			},
			// getData() {
			// 	var postData = this.orderNo

			// 	this.$u.post('/api/InboundOrder/GetInboundOrderDetail', postData).then((res) => {
			// 		if (res.status) {
			// 			this.orderDetail = res.data;
			// 			if (this.orderDetail.length > 3) {
			// 				this.loadVisible = true;
			// 			}
			// 		}
			// 	})
			// },
			// 检查第一个输入框内容
			checkFirstInput(value) {
				if (value && value.length > 0) {
					// 如果第一个输入框有内容，自动跳转到第二个输入框
					this.focusFirst = false;
					this.$nextTick(() => {
						this.focusSecond = true;
					});
				}
			},

			// 处理第一个输入框确认事件
			handleFirstInputConfirm() {
				this.focusFirst = false;
				this.$nextTick(() => {
					this.focusSecond = true;
				});
			},


			onClickItem(e) {
				this.focus = false;
				this.addressFocus = false;
				if (this.current !== e.currentIndex) {
					this.current = e.currentIndex;
					if (this.current == 2) {
						this.getData();
					}
				}
			},
			barcodeInput() {
				this.$nextTick(function(x) {
					if (this.barcode.length > 0) {
						this.focus = true;
					}
				})
			},
			inbound() {
				// 提取输入框的值
				const sourceAddress = this.sourceAddress;
				const sourceAddress1 = this.sourceAddress1;
				const targetAddress = this.value;

				if (sourceAddress == "") {
					this.$t.message.toast('请选择起点位置');
					return;
				}
				if (sourceAddress1 == "") {
					this.$t.message.toast('请选择起点位置');
					return;
				}
				if (targetAddress == "") {
					this.$t.message.toast('请扫瞄终点位置');
					return;
				}
				var postData = {
					MainData: {
						"sourceAddress": this.sourceAddress,
						"sourceAddress1": this.sourceAddress1,
						"targetAddress": this.value,
					}
				}
				// console.log(Exception);
				this.$u.post('/api/PDA/EmptyTask', postData).then(res => {
					this.$t.message.closeLoading();
					console.log(postData);
					if (res.code == 200) {
						this.$t.message.toast('呼叫成功');
						this.sourceAddress = "";
						this.sourceAddress1 = "";
						this.value = "";
						// this.$refs.popup.close();
						// this.submit();
					} else {
						this.$t.message.toast(res.message);
					}
				}).catch(err => {
					this.$refs.uToast.show({
						title: err.message,
						type: "error"
					})
				})
			},

			inputChangebarcode() {
				this.addressFocus = false;
				this.$nextTick(function(x) {
					if (this.sourceAddress != '') {
						this.addressFocus = true;
					}
				})
			},
			onReady() {
				// 页面加载完成后自动聚焦第一个输入框
				this.focusFirst = true;
			}
			// getEndLocations() {
			// 	this.$u.post('/api/CachePoint/GetEndPoints', null).then(res => {
			// 		if (res.status) {
			// 			this.range = res.data;
			// 		} else {
			// 			this.$refs.uToast.show({
			// 				title: res.message,
			// 				type: "error"
			// 			})
			// 		}
			// 	})
			// }
		}
	}
</script>

<style lang="scss">
	@import '@/common/uni-ui.scss';

	.content {
		display: flex;
		height: 150px;
	}

	.content-text {
		font-size: 14px;
		color: #666;
	}

	.itemstyle {
		margin-top: 30px;
		margin-left: 5%;
	}

	.headerstyle {
		width: 90%;
	}
</style>